Page MenuHomePhabricator

Visual diff shows unchanged text containing a reference as removed/inserted (absent from source diff)
Closed, ResolvedPublic1 Story Points

Description

Comparing these two:

https://en.wikipedia.org/w/index.php?title=Ted_Nelson&type=revision&diff=842034627&oldid=832139178&diffmode=visual
https://en.wikipedia.org/w/index.php?title=Ted_Nelson&type=revision&diff=842034627&oldid=832139178&diffmode=source

The source diff shows 4 rough areas that were changed, with the last modified paragraph being:

- Nelson co-founded "itty bitty machine company", or "ibm", which was a small computer retail store operating from 1977 to 1980
+ In 1976, Nelson co-founded and briefly served as the advertising director of the "itty bitty machine company",

The visual diff continues to show more differences, except they are not differences. The graphs were not in any way touched by the edits in between.

I do notice that the reference numbers have effectively changed due additions higher up in the document. However, those are usually shown in grey/blue with a note about them in the side bar. And in fact, in the left image, there is an example of that.

Details

Related Gerrit Patches:
mediawiki/extensions/VisualEditor : masterUpdate VE core submodule to master (3cb400800)
VisualEditor/VisualEditor : masterPerformance improvements to compareElementsUnannotated

Event Timeline

Krinkle created this task.Jun 4 2018, 3:48 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 4 2018, 3:48 PM

I get a diff timeout warning, which explains the full paragraph diffs, but not sure what is causing the timeout...

Esanders added a comment.EditedJun 5 2018, 3:09 PM

In profile, I notice there are some improvements we can make to compareElementsUnannotated, reducing it from >300ms to 20ms, but the diff still seems to being too much work at a higher level.

Change 437489 had a related patch set uploaded (by Esanders; owner: Esanders):
[VisualEditor/VisualEditor@master] Performance improvements to compareElementsUnannotated

https://gerrit.wikimedia.org/r/437489

With the above monkey patched in it dips below the timeout (just) and now looks more reasonable:

Deskana assigned this task to Esanders.Jun 5 2018, 6:39 PM
Deskana triaged this task as Normal priority.
Deskana moved this task from Incoming to Code review on the VisualEditor (Current work) board.

Change 437489 merged by jenkins-bot:
[VisualEditor/VisualEditor@master] Performance improvements to compareElementsUnannotated

https://gerrit.wikimedia.org/r/437489

Change 438041 had a related patch set uploaded (by Jforrester; owner: Jforrester):
[mediawiki/extensions/VisualEditor@master] Update VE core submodule to master (e333fe327)

https://gerrit.wikimedia.org/r/438041

Change 438041 merged by jenkins-bot:
[mediawiki/extensions/VisualEditor@master] Update VE core submodule to master (3cb400800)

https://gerrit.wikimedia.org/r/438041

Deskana closed this task as Resolved.Jun 11 2018, 3:05 PM
Jdforrester-WMF set the point value for this task to 1.Jun 13 2018, 6:24 PM
Vvjjkkii renamed this task from Visual diff shows unchanged text containing a reference as removed/inserted (absent from source diff) to bobaaaaaaa.Jul 1 2018, 1:05 AM
Vvjjkkii reopened this task as Open.
Vvjjkkii removed Esanders as the assignee of this task.
Vvjjkkii raised the priority of this task from Normal to High.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii removed the point value for this task.
Vvjjkkii removed subscribers: gerritbot, Aklapper.
CommunityTechBot renamed this task from bobaaaaaaa to Visual diff shows unchanged text containing a reference as removed/inserted (absent from source diff) .Jul 2 2018, 7:21 AM
CommunityTechBot closed this task as Resolved.
CommunityTechBot assigned this task to Esanders.
CommunityTechBot lowered the priority of this task from High to Normal.
CommunityTechBot set the point value for this task to 1.
CommunityTechBot updated the task description. (Show Details)
CommunityTechBot added subscribers: gerritbot, Aklapper.